using System.Numerics;
using Nethereum.Hex.HexTypes;
using Nethereum.ABI.FunctionEncoding.Attributes;
using Nethereum.Web3;
using Nethereum.RPC.Eth.DTOs;
using Nethereum.Contracts.CQS;
using Nethereum.Contracts;

namespace Frontend.Functions;
public class ExactInputSingleParamsBase
{
    [Parameter("address", "tokenIn", 1)]
    public virtual string TokenIn { get; set; }
    [Parameter("address", "tokenOut", 2)]
    public virtual string TokenOut { get; set; }
    [Parameter("uint24", "fee", 3)]
    public virtual uint Fee { get; set; }
    [Parameter("address", "recipient", 4)]
    public virtual string Recipient { get; set; }
    [Parameter("uint256", "amountIn", 5)]
    public virtual BigInteger AmountIn { get; set; }
    [Parameter("uint256", "amountOutMinimum", 6)]
    public virtual BigInteger AmountOutMinimum { get; set; }
    [Parameter("uint160", "sqrtPriceLimitX96", 7)]
    public virtual BigInteger SqrtPriceLimitX96 { get; set; }
}

public partial class ExactInputSingleParams : ExactInputSingleParamsBase { }


[Function("exactInputSingle", "uint256")]
public class ExactInputSingleFunctionBase : FunctionMessage
{
    [Parameter("tuple", "params", 1)]
    public virtual ExactInputSingleParams Params { get; set; }
}

public partial class ExactInputSingleFunction : ExactInputSingleFunctionBase { }