using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Frontend.Functions;

[FunctionOutput]
public class Slot0OutputDTO :IFunctionOutputDTO
{
    [Parameter("uint160", "sqrtPriceX96")]
    public BigInteger SqrtPriceX96 { get; set; }
    [Parameter( "int24","tick")]
    public int Tick { get; set; }
    [Parameter( "uint16","observationIndex")]
    public ushort ObservationIndex { get; set; }
    [Parameter("uint16","observationCardinality")]
    public ushort ObservationCardinality { get; set; }
    [Parameter("uint16","observationCardinalityNext")]
    public ushort ObservationCardinalityNext { get; set; }
    [Parameter( "uint8","feeProtocol")]
    public byte FeeProtocol { get; set; }
    [Parameter( "bool","unlocked")]
    public bool Unlocked { get; set; }
}