using System.Diagnostics.Metrics;
namespace Frontend.Metrics;

public class PoolMetrics{
    private readonly IMeterFactory _meterFactory;
    private ObservableGauge<double>? _rocethGauge;

    public PoolMetrics(IMeterFactory meterFactory)
    {
        _meterFactory = meterFactory;
    }

    public void CreateMetrics(PoolV3Client poolClient)
    {
        var meter = _meterFactory.Create("RoestiCoin");
        _rocethGauge = meter.CreateObservableGauge("Uniswap.ROCWETH.price", () => GetCurrentPrice(poolClient), unit: "WETH/ROC");
    }

    public double GetCurrentPrice(PoolV3Client poolClient){
        return (double)poolClient.GetPairRatio().Result;
    }
}