using System.Diagnostics.Metrics;
using Frontend.Marketplaces.Interfaces;

namespace Frontend.Metrics;

public class PotatoMarketplaceMetrics(
    IPotatoMarketPlace marketplace,
    IMeterFactory meterFactory
)
{
    private readonly IPotatoMarketPlace marketplace = marketplace;
    private readonly IMeterFactory MeterFactory = meterFactory;

    public void CreateMetrics()
    {
        var meter = MeterFactory.Create("RoestiCoin");
        meter.CreateObservableGauge("Marketplace.Potato.Price.CHF", () => marketplace.PotatoKgPriceInChf.Result, unit: "CHF");
        meter.CreateObservableGauge("Marketplace.Potato.Price.ETH", () => marketplace.PotatoKgPriceInEth.Result, unit: "ETH");
        meter.CreateObservableGauge("Marketplace.Ethereum.Price.CHF", () => marketplace.EthPriceInChf.Result, unit: "CHF");
    }
}
