using System.Diagnostics.Metrics;
using Frontend.AssetStores;
using Microsoft.EntityFrameworkCore;

namespace Frontend.Metrics;

public class PotatoStorageMetrics(
    IDbContextFactory<PotatoStorage> potatoStorageFactory,
    IMeterFactory meterFactory
)
{
    private readonly IDbContextFactory<PotatoStorage> potatoStorageFactory = potatoStorageFactory;
    private readonly IMeterFactory MeterFactory = meterFactory;

    public void CreateMetrics()
    {
        var potatoStorage = potatoStorageFactory.CreateDbContext();
        var meter = MeterFactory.Create("RoestiCoin");
        meter.CreateObservableGauge("Storage.Potato.Supply.Weight", potatoStorage.SupplyWeight, unit: "kg");
    }
}
