using System.Diagnostics.Metrics;
using Frontend.Marketplaces.Interfaces;

namespace Frontend.Metrics;

public class RebalancerMetrics(
    Rebalancer rebalancer,
    IMeterFactory meterFactory
){
    private readonly Rebalancer rebalancer = rebalancer;
    private readonly IMeterFactory MeterFactory = meterFactory;

    public void CreateMetrics()
    {
        var meter = MeterFactory.Create("RoestiCoin");
        meter.CreateObservableGauge("Rebalancer.TradeExecutedCount", () => (int)rebalancer.RebalanceTradeExecutedCount, unit: "count");
        meter.CreateObservableGauge("Rebalancer.Reserves.ROC", () => (double)rebalancer.Token0Reserve().Result, unit: "ROC");
        meter.CreateObservableGauge("Rebalancer.Reserves.ETH", () => (double)rebalancer.Token1Reserve().Result, unit: "ETH");
    }
}