using Frontend.Assets;
using Frontend.AssetStores;
using Frontend.Configuration;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Nethereum.Web3;
using Nethereum.Web3.Accounts;

namespace Frontend.Pages;

public class IndexModel : PageModel
{
    private readonly ILogger<IndexModel> _logger;
    private readonly PoolV3Client _poolV3Client;
    private readonly ChainSettings _chainSettings;
    private readonly Account _account;
    private readonly Rebalancer _rebalancer;
    private readonly PotatoStorage _potatoStorage;

    public IndexModel(ILogger<IndexModel> logger, Web3 web3, ChainSettings chainSettings, Account account, Rebalancer rebalancer, PotatoStorage potatoStorage)
    {
        _logger = logger;
        _poolV3Client = new PoolV3Client(web3, chainSettings, account);
        _chainSettings = chainSettings;
        _account = account;
        _rebalancer = rebalancer;
        _potatoStorage = potatoStorage; 
    }

    public void OnGet()
    {
       
        
    }
}
