// SPDX-License-Identifier: MIT
// Note: default_admin_role must be granted for this contract
// If roles are removed, they must be manually revoked from the RoestiCoin contract as well
// When deploying a new version, manually revoke permission for old contract!
// Current address: 0x44f83033F57772b5eF1C3ff223b6E0de066ec75F
pragma solidity ^0.8.28;

import {RoestiCoin} from "./RoestiCoin.sol";

contract RoestiCoinSetup {
    address constant andriDev = 0xf451B6FA97fc5BB3509a6e771Ac016634b542E99;
    address constant davidDev = 0xAC47aFFE46eE868eD8691908b469c9aC6b6599d8;
    address constant davorDev = 0xf397Cd712E2901661d48b7c5a07DACd5F0A97150;

    function setup(address tokenAddress) public {
        RoestiCoin token = RoestiCoin(tokenAddress);
        bytes32 minterRole = token.MINTER_ROLE();

        token.grantRole(minterRole, andriDev);
        token.grantRole(minterRole, davidDev);
        token.grantRole(minterRole, davorDev);
    }
}
